# xmlpp::ContentNode Class Reference

Content Node. More...

Inheritance diagram for xmlpp::ContentNode:

[legend]

List of all members.

## Public Member Functions
| ContentNode (_xmlNode *node)
virtual | ~ContentNode ()
Glib::ustring | get_content () const
| Get the text of this content node.
void | set_content (const Glib::ustring &content)
| Set the text of this content node.
bool | is_white_space () const

## Detailed Description

Content Node.

This will be instantiated by the parser.

## Constructor & Destructor Documentation

xmlpp::ContentNode::ContentNode | ( | _xmlNode * | node | ) | `[explicit]`

virtual xmlpp::ContentNode::~ContentNode | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::ustring xmlpp::ContentNode::get_content | ( |  | ) | const

Get the text of this content node.

Returns:
  The text. Note that the 5 predefined entities (&, ", <, &qt, ') are always resolved, so this content will show their human-readable equivalents.

bool xmlpp::ContentNode::is_white_space | ( |  | ) | const

Returns:
  Whether this node contains only white space, or is empty.

void xmlpp::ContentNode::set_content | ( | const Glib::ustring & | content | ) |

Set the text of this content node.

Parameters:

  | content | The text. This must be unescaped, meaning that the predefined entities will be created for you where necessary. See get_content().

The documentation for this class was generated from the following file:

- contentnode.h